﻿using Microsoft.Extensions.Configuration;

namespace Connected.Configuration;

internal class ConfigurationService : IConfigurationService
{
	public ConfigurationService(IConfiguration configuration)
	{
		Remote = new RemoteConfiguration(configuration.GetSection("remote"));
	}

	public IRemoteConfiguration Remote { get; }
}
