﻿using Connected.Notifications;
using Connected.ServiceModel;

namespace Connected.Events;

internal class EventService : IEventService, IOperationState
{
	public event ServiceEventHandler<RemoteEventArgs>? Event;

	internal void Trigger(RemoteEventArgs e)
	{
		Event?.Invoke(this, e);
	}

	public TEntity? GetState<TEntity>()
	{
		return default;
	}

	public TEntity? SetState<TEntity>(TEntity? entity)
	{
		return entity;
	}
}
