﻿namespace Connected.Net;

internal enum RemoteStatus
{
	Available = 1,
	NotAvailable = 2
}
internal class RemoteDescriptor
{
	public RemoteDescriptor(string address)
	{
		Address = address;
		Status = RemoteStatus.Available;
		LastSuccess = DateTime.MinValue;
	}

	public string Address { get; }
	public RemoteStatus Status { get; }
	public DateTime LastSuccess { get; }
}
