﻿using System.ComponentModel.DataAnnotations;

namespace Connected.ServiceModel.Search;
public class SearchArgs : Dto
{
	public SearchArgs()
	{
		Paging = new();
	}

	public Paging Paging { get; }

	[Required, MaxLength(256)]
	public string Text { get; set; } = default!;
}
