﻿namespace Connected.Annotations;

public enum MicroServiceType
{
	Sys = 1,
	Contract = 2,
	Service = 3,
	Client = 4,
	UI = 5,
	Test = 6,
	Runtime = 7,
	Provider = 8,
	Process = 9
}

[AttributeUsage(AttributeTargets.Assembly)]
public sealed class MicroServiceAttribute : Attribute
{
	public MicroServiceAttribute(MicroServiceType type)
	{
		MicroServiceType = type;
	}

	public MicroServiceType MicroServiceType { get; }
}
