﻿namespace Connected.Annotations;

[AttributeUsage(AttributeTargets.Interface | AttributeTargets.Method)]
public sealed class ServiceUrlAttribute : Attribute
{
	public ServiceUrlAttribute(string template)
	{
		Template = template;
	}

	public string Template { get; }
}
