﻿using Connected.ServiceModel;

namespace Connected.Notifications;

public class PrimaryKeyEventArgs<T> : Dto
{
	public PrimaryKeyEventArgs()
	{

	}

	public PrimaryKeyEventArgs(T? id)
	{
		Id = id;
	}

	public T? Id { get; init; }

	public static implicit operator PrimaryKeyEventArgs<T?>(T value)
	{
		return new PrimaryKeyEventArgs<T?>(value);
	}
}
