﻿using System.ComponentModel.DataAnnotations;

namespace Connected.ServiceModel;

public enum OrderByMode
{
	Ascending = 0,
	Descending = 1
}

public sealed class OrderByDescriptor
{
	[Required, MaxLength(128)]
	public string Property { get; set; } = default!;

	public OrderByMode Mode { get; set; } = OrderByMode.Ascending;
}
